[PATCH] cvar_entry

Define cvar_entry to match cmdalias_entry.

diff -urN a/common/cvar.c head/common/cvar.c
--- a/common/cvar.c	2006-02-19 15:59:09.000000000 +1030
+++ head/common/cvar.c	2006-02-19 17:06:12.000000000 +1030
@@ -46,6 +46,7 @@
 cvar_t *cvar_vars;
 static char *cvar_null_string = "";
 
+#define cvar_entry(ptr) container_of(ptr, struct cvar_s, stree)
 static DECLARE_STREE_ROOT(cvar_tree);
 
 /*
@@ -61,7 +62,7 @@
 
     n = STree_Find(&cvar_tree, var_name);
     if (n)
-	ret = container_of(n, struct cvar_s, stree);
+	ret = cvar_entry(n);
 
     return ret;
 }
